
CoCoA-5 - Design #493

Cleanup Hilbert package hp.cpkg5

24 Mar 2014 11:45 - Anna Maria Bigatti

Status: Closed Start date: 24 Mar 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Cleaning Estimated time: 2.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 2.00 hours

Description

Check all functions and update the manual.

Choose the "official name" for functions.

Related issues:

Related to CoCoA-5 - Design #491: Cleaning: Cruft in CoCoA-5 packages In Progress 22 Mar 2014

Related to CoCoA-5 - Design #376: Hilbert: Redesign hp.cpkg5 and public funct... In Progress 18 Jun 2013

Related to CoCoALib - Design #254: How to return a Hilbert Series in CoCoALib Closed 08 Oct 2012

Related to CoCoALib - Feature #399: add myHilbertSeries member field to ideal... New 02 Aug 2013

History

#1 - 10 Apr 2014 17:57 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#2 - 14 Jul 2014 18:09 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 10 to 90

- Estimated time set to 2.00 h

resurrected and documented functions HilbertSeriesShifts and HilbertSeriesMultiDeg

they are just shortcuts to avoid properly writing the environment (proper ring with weights, proper free module with shifts)

moved al syntax into obsolescent.cpkg5 and indicated it in the manual

just about to cvs all this

#3 - 31 Jul 2014 15:06 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Now  all functions work.  A proper clean-up and re-design is in another issue.
